1 Reply Latest reply on Jan 28, 2011 4:29 AM by Fred Visticot

    BerkeleyDbJe-4.1.7 used with BdbjeCacheLoader not working ?

    Fred Visticot Newbie

      Hello,

      I would like to use the BdbjeCacheLoader with the last BDBJE version (4.1.7).

      When the application starts, i have the following exception:

       

      Caused by: java.lang.NoSuchMethodError: com.sleepycat.je.EnvironmentConfig.setAllowCreate(Z)V

                at org.jboss.cache.loader.bdbje.BdbjeCacheLoader.start(BdbjeCacheLoader.java:214)

                at org.jboss.cache.loader.CacheLoaderManager.startCacheLoader(CacheLoaderManager.java:461)

                ... 50 more

       

      Do you know why the BdbjeCacheLoader is not working with last Oracle BDBJE ?

      Is there something special to configure to allow je4.1.7 with JbossCache ?

       

      PS: My test is working with je.jar provider with Jboss cache...